package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadFjStatCommandResponse;

public class ReadFjStatCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4572411641346032487L;

	@Override
	public Class<ReadFjStatCommandResponse> getResponseClass() {
		return ReadFjStatCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询风机运行状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READFJSTAT;
	}

}
